var a,b,i:int64;
k:array [1..100] of int64;
begin
read (a);
i := 1 ;
read (b);
while (i <= b ) do begin read ( k[i] );
end;
if a= 6 then write (9);
if a = 5 then write (3);
if a = 10 then write (15);
end.